Package oasis.names.tc.dss._1_0.core.schema

# Class Result

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.Result

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Result extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ResultMajor" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
             <element name="ResultMinor" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
             <element name="ResultMessage" type="{urn:oasis:names:tc:dss:1.0:core:schema}InternationalStringType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Result()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getResultMajor()`
  Gets the value of the resultMajor property.
  `InternationalStringType`
  `getResultMessage()`
  Gets the value of the resultMessage property.
  `String`
  `getResultMinor()`
  Gets the value of the resultMinor property.
  `void`
  `setResultMajor(String value)`
  Sets the value of the resultMajor property.
  `void`
  `setResultMessage(InternationalStringType value)`
  Sets the value of the resultMessage property.
  `void`
  `setResultMinor(String value)`
  Sets the value of the resultMinor property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Result

    public Result()

- ## Method Details

  - ### getResultMajor

    public String getResultMajor()
    Gets the value of the resultMajor property.
    Returns:
      possible object is `String`

  - ### setResultMajor

    public void setResultMajor(String value)
    Sets the value of the resultMajor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getResultMinor

    public String getResultMinor()
    Gets the value of the resultMinor property.
    Returns:
      possible object is `String`

  - ### setResultMinor

    public void setResultMinor(String value)
    Sets the value of the resultMinor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getResultMessage

    public InternationalStringType getResultMessage()
    Gets the value of the resultMessage property.
    Returns:
      possible object is `InternationalStringType`

  - ### setResultMessage

    public void setResultMessage(InternationalStringType value)
    Sets the value of the resultMessage property.
    Parameters:
      `value` - allowed object is `InternationalStringType`